//
//  ViewController.swift
//  Simple Table
//
//  Created by Socratis Tornaritis on 7/16/15.
//  Copyright (c) 2015 Socratis Tornaritis. All rights reserved.
//

import UIKit

// this view controller is both the data source and delegate of the table view, so add the
// necessary conformance
class ViewController: UIViewController, UITableViewDataSource, UITableViewDelegate {

   // set up the data source
   private let dwarves = [
      "Sleepy", "Sneezy", "Bashful", "Happy", "Doc", "Grumpy", "Dopey",
      "Thorin", "Dorin", "Nori", "Ori",
      "Balin", "Dwalin", "Fili", "Kili",
      "Oin", "Gloin", "Bifur", "Bofur",
      "Bombur"
   ]
   
   // UIViewCell resuable identifier, since we are adding the cells programmatically.
   let simpleTableIdentifier = "SimpleTableIdentifier"

   
   override func viewDidLoad() {
      super.viewDidLoad()
      // Do any additional setup after loading the view, typically from a nib.
   }

   override func didReceiveMemoryWarning() {
      super.didReceiveMemoryWarning()
      // Dispose of any resources that can be recreated.
   }

   // MARK: Data source conformance
   
   func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
      
      // first try to get the reusable cell if it exists.
      var cell = tableView.dequeueReusableCellWithIdentifier(simpleTableIdentifier) as? UITableViewCell
      
      // the very first time, the cell is not present, so we must create it.
      if cell == nil {
         cell = UITableViewCell(style: UITableViewCellStyle.Default, reuseIdentifier: simpleTableIdentifier)
      }
      
      // since we are using the .Default style, there is only a textLabel to be customized.
      cell!.textLabel?.text = dwarves[indexPath.row]
      
      // create an imageView to hold an image on the left of each row cell.
      let image = UIImage(named: "star")
      cell!.imageView?.image = image
      
      let highlightedImage = UIImage(named: "star2")
      cell!.imageView?.highlightedImage = highlightedImage
      
      return cell!
   }

   func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
         return dwarves.count
   }
}

