//
//  ViewController.swift
//  AutoLayoutCode
//
//  Created by Socratis Tornaritis on 6/23/15.
//  Copyright (c) 2015 Socratis Tornaritis. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

   override func viewDidLoad() {
      super.viewDidLoad()
      // Do any additional setup after loading the view, typically from a nib.
      let superview = self.view
      
      let mylabel = UILabel()
      
      // prevent autosizing issues
      mylabel.setTranslatesAutoresizingMaskIntoConstraints(false)
      mylabel.text = "My Label"
      
      let myButton = UIButton()
      myButton.setTranslatesAutoresizingMaskIntoConstraints(false)
      myButton.setTitle("My Button", forState: .Normal)
      myButton.backgroundColor = UIColor.blueColor()
      
      // Add the subviews, but not positioned properly (top left corner)
      superview.addSubview(mylabel)
      superview.addSubview(myButton)
      
      // center label horizontally
//      var myConstraint = NSLayoutConstraint(
//         item: mylabel,
//         attribute: .CenterY,
//         relatedBy: .Equal,
//         toItem: superview,
//         attribute: .CenterY,
//         multiplier: 1.0,
//         constant: 0)
      
      superview.addConstraint(NSLayoutConstraint(
         item: mylabel,
         attribute: .CenterY,
         relatedBy: .Equal,
         toItem: superview,
         attribute: .CenterY,
         multiplier: 1.0,
         constant: 0)
      )
      
      // center label vertically
      superview.addConstraint(NSLayoutConstraint(
         item: mylabel,
         attribute: .CenterX,
         relatedBy: .Equal,
         toItem: superview,
         attribute: .CenterX,
         multiplier: 1.0,
         constant: 0)
      )
      
      // place button to the left of the label; align their baselines
      superview.addConstraint(NSLayoutConstraint(
         item: myButton,
         attribute: .Trailing,
         relatedBy: .Equal,
         toItem: mylabel,
         attribute: .Leading,
         multiplier: 1.0,
         constant: -10)
      )
      
      superview.addConstraint(NSLayoutConstraint(
         item: myButton,
         attribute: .Baseline,
         relatedBy: .Equal,
         toItem: mylabel,
         attribute: .Baseline,
         multiplier: 1.0,
         constant: 0)
      )
   }

   override func didReceiveMemoryWarning() {
      super.didReceiveMemoryWarning()
      // Dispose of any resources that can be recreated.
   }


}

