//
//  FirstViewController.swift
//  ReminderApp
//
//  Created by Socratis Tornaritis on 7/9/15.
//  Copyright (c) 2015 Socratis Tornaritis. All rights reserved.
//

import UIKit
import EventKit

class FirstViewController: UIViewController {

   @IBOutlet weak var reminderText: UITextField!
   @IBOutlet weak var myDatePicker: UIDatePicker!
   
   var appDelegate: AppDelegate?
   
   override func viewDidLoad() {
      super.viewDidLoad()
      // Do any additional setup after loading the view, typically from a nib.
   }

   @IBAction func setReminder() {
      // access the appDelegate reference
      appDelegate = UIApplication.sharedApplication().delegate as? AppDelegate
      
      if appDelegate!.eventStore == nil {
         // create the store
         appDelegate!.eventStore = EKEventStore()
         
         // request access
         appDelegate!.eventStore!.requestAccessToEntityType(EKEntityTypeReminder,
            completion: { (granted, error) in
               if !granted { println("Access to store not granted\n\(error.localizedDescription)") }
               else        { println("Acess granted")                                              }
         })
      }
      
      // if we now have a store, let's create a reminder
      if appDelegate!.eventStore != nil { self.createReminder() }
   }
   
   func createReminder() {
      let reminder = EKReminder(eventStore: appDelegate!.eventStore)
      
      // set the reminder's title with user's input
      reminder.title = reminderText.text
      
      // choose the default calendar
      reminder.calendar = appDelegate!.eventStore!.defaultCalendarForNewReminders()
      
      // now grab some user specified date options
      let date = myDatePicker.date
      
      // create an alarm as well for the reminder
      let alarm = EKAlarm(absoluteDate: date)
      
      reminder.addAlarm(alarm)
      
      // time to save the reminder (try to save anyway)
      var error: NSError?
      
      appDelegate!.eventStore!.saveReminder(reminder, commit: true, error: &error)
      
      // check the error to see if there were any problems
      if error != nil {
         println("Reminder failed with error \(error?.localizedDescription)")
      }
   }
   
   override func touchesBegan(touches: Set<NSObject>, withEvent event: UIEvent) {
      reminderText.endEditing(true)
   }
   
   override func didReceiveMemoryWarning() {
      super.didReceiveMemoryWarning()
      // Dispose of any resources that can be recreated.
   }


}

